//
//FLOOR SMILE
//

textures/paint/10
{
	{
		animmap 3 textures/paint/12.jpg textures/paint/13.jpg 
		tcMod rotate 25
	}
	{
		map textures/paint/10.tga
		alphaFunc GT0
	}
}	

//
//CLOUDS
//

textures/paint/27
{
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/paint/27.jpg
		blendFunc add
		tcMod scroll 0.2 0
	}
}

//
//TREMULOUS RULLEZ TV
//

textures/paint/32
{
	{
		animmap 1 textures/paint/33.jpg textures/paint/34.jpg 
	}
	{
		map textures/paint/32.tga
		alphaFunc GT0
	}
}

//
// LADDER
//

textures/paint/common_ladder
{
	qer_trans .75
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

//
// WATER
//

textures/paint/qer_water
{
		qer_editorimage textures/paint/qer_water.jpg
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/paint/water.jpg
			blendFunc add
		}
}

//
// PAINT
//

textures/paint/qer_paint
{
		qer_editorimage textures/paint/qer_paint.jpg
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		{ 
			animmap 15 textures/paint/colors_red.jpg textures/paint/colors_green.jpg textures/paint/colors_yellow.jpg textures/paint/colors_blue.jpg textures/paint/colors_cyan.jpg textures/paint/colors_magneta.jpg textures/paint/colors_black.jpg
		}
}

//
// VENT
//

textures/paint/36
{
		qer_editorimage textures/paint/36.tga
		qer_trans .75
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		cull disable
		{ 
			map textures/paint/36.tga
			alphaFunc GE128
		}
}

//
// FIREWORKS
//

gfx/paint/fireworks
{  
  
	cull disable
  
	{
    
		animmap 15 gfx/paint/firework00.jpg gfx/paint/firework01.jpg gfx/paint/firework02.jpg gfx/paint/firework03.jpg gfx/paint/firework04.jpg
 		blendFunc add    
		alphaGen vertex
  
	}

}



//
// COMPUTER FLUID
//

textures/paint/43
{  
  
	surfaceparm nomarks
	surfaceparm trans
	{
    
		map textures/paint/43.jpg
		tcMod scroll -2 0
  
	}

}



//
// RED X-MAS TREE BOMBKA
//

textures/paint/44
{
	surfaceparm nomarks
	{
		map textures/paint/44.jpg
	}
	{
		map textures/paint/environment_map.jpg
		tcGen environment
		blendFunc add
	}
}

//
// YELLOW X-MAS TREE BOMBKA
//

textures/paint/45
{
	surfaceparm nomarks
	{
		map textures/paint/45.jpg
	}
	{
		map textures/paint/environment_map.jpg
		tcGen environment
		blendFunc add
	}
}

//
// BLUE X-MAS TREE BOMBKA
//

textures/paint/46
{
	surfaceparm nomarks
	{
		map textures/paint/46.jpg
	}
	{
		map textures/paint/environment_map.jpg
		tcGen environment
		blendFunc add
	}
}

//
// ORANGE LINE
//

textures/paint/47
{
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/paint/47.jpg
		blendFunc add
	}
}

//
// X-MAS LIGHTS
//

//RED

textures/paint/qer_light_red
{
	qer_editorimage textures/paint/qer_light_red.jpg
	qer_trans .75
	{
		map textures/paint/colors_red.jpg
		rgbGen wave square 1.2 1 0 1
	}
}

// BLUE

textures/paint/qer_light_blue
{
	qer_editorimage textures/paint/qer_light_blue.jpg
	qer_trans .75
	{
		map textures/paint/colors_blue.jpg
		rgbGen wave square 1.2 1 0 1
	}
}

// YELLOW

textures/paint/qer_light_yellow
{
	qer_editorimage textures/paint/qer_light_yellow.jpg
	qer_trans .75
	{
		map textures/paint/colors_yellow.jpg
		rgbGen wave square 1.2 1 0 1
	}
}

// GREEN

textures/paint/qer_light_green
{
	qer_editorimage textures/paint/qer_light_green.jpg
	qer_trans .75
	{
		map textures/paint/colors_green.jpg
		rgbGen wave square 1.2 1 0 1
	}
}

///
/// MEGA COMPUTER MONITOR
///

textures/paint/40
{
	{
		animmap 1 textures/paint/40.jpg textures/paint/41.jpg
	}
}

///
/// GREEN FOG
///

textures/paint/qer_greenfog
{
	qer_trans .5
	qer_editorimage textures/paint/qer_greenfog.jpg
	surfaceparm fog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	fogparms ( 0.501961 1 0.501961 ) 1024
}